/*
 * Copyright (c) 2008 - 2020 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 * 
 * Licensed under the HARK license, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * https://www.hark.jp/notice/HARK_License_Agreement.pdf
 */

#include "BF_GICA.h"

namespace BF
{
    GICA::GICA(int _numFreq, int _lowerfreq, int _upperfreq, int _samplingRate, double _soundSpeed, bool _muAdp, double _mu, bool _mu_ssAdp, double _mu_ss, double _scale, NlFuncType _nlFuncType, UtUpdateType _separationMatUpdateType) :
	GSS(_numFreq, _lowerfreq, _upperfreq, _samplingRate, _soundSpeed, _muAdp, _mu, _mu_ssAdp, _mu_ss, _scale, _nlFuncType, _separationMatUpdateType)
    {
    }
}
