/*
 * Copyright (c) 2008 - 2020 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 * 
 * Licensed under the HARK license, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * https://www.hark.jp/notice/HARK_License_Agreement.pdf
 */

#include "BF_NULL.h"

#include <stdio.h>

namespace BF
{
    Null::Null(int _numFreq, int _lowerfreq, int _upperfreq, int _samplingRate, double _sounnullpeed) :
	Fixed(_numFreq, _lowerfreq, _upperfreq, _samplingRate, _sounnullpeed)
    {
    }

    Null::~Null()
    {
    }
}
